The Wrapper for Video Station and Media Server now has Installer, with Configuration Tool, Multi-Language, 5.1 support...

Currently reading
The Wrapper for Video Station and Media Server now has Installer, with Configuration Tool, Multi-Language, 5.1 support...

36
8
NAS
DS918+
Router
  1. RT1900ac
Operating system
  1. Linux
  2. macOS
  3. Windows
Mobile operating system
  1. Android
Last edited:
I did this Installer, you can select between two types of wrapper, the Advanced one (the mine) or the Simplest (Fork from AlexPreso).
These Wrappers are for FFMPEG and work fine with Video Station and DLNA Media Server.
It enables DTS, EAC-3 and TrueHD audios.
1663002022702.png


Here the CONFIGURATOR TOOL: (Only for the Advanced Wrapper)
1663002059406.png


If you want to TRY IT, please go to:


Best regards.
-- post merged: --

1663002516326.png


1663002558509.png
 

VIA VIDEO STATION, PLAYING A MOVIE WITH DTS, EAC3 and TrueHD:​


USING DARKNEBULAR'S WRAPPER: 1) MP3 2.0 256 kbps and 2) audio stream AAC 5.1 512kbps (or AC3 5.1 640kbps) :cool::cool:

1663062299311.png

1663062314423.png


But I don't want AAC 5.1 512kbps, WELL, NOW YOU CAN CHANGE IT TO AC3 5.1 640 kbps, look:
1663062360000.png


Well, but I am a noob and I am not English speaker and I am not sure what change. WELL, YOU NOW CAN CHANGE THE LANGUAGE, LOOK:
1663062391220.png


AND HAVING THE CONFIGURATOR TOOL IN YOUR LANGUAGE: (Here a example in SPANISH)
1663062415478.png


But I don't want 2 audio streams. WELL YOU CAN USE THE CONFIGURATOR TOOL TO PUT ONLY ONE AUDIO STREAM WITH BETTER PERFORMANCE AND QUALITY THAN THE OTHER'S WRAPPERS.



USING OTHER'S WRAPPERS: ONLY ONE AUDIO STREAM = MP3 2.0 96 kbps :cry:


1663062584128.png


VIA DLNA, PLAYING A MOVIE WITH DTS, EAC3 and TrueHD WHEN IT NEEDS TO BE TRANSCODED:​


USING DARKNEBULAR'S WRAPPER: 1) audio stream AAC 5.1 512kbps (or AC3 5.1 640kbps) and 2) audio stream MP3 2.0 256 kbps :cool::cool:

1663062695001.png


USING OTHER'S WRAPPERS: ONLY ONE AUDIO STREAM = MP3 2.0 192 kbps :cry:
1663062735847.png
 
FFMPEG WRAPPER INSTALLER version: SCPT_2.2
You have ALL necessary packages Installed, GOOD.
[2022-09-13 19:42:51] INFO: ==================== Installation of the Advanced Wrapper: START ====================

[2022-09-13 19:42:51] INFO: You are running DSM 7.1
[2022-09-13 19:42:51] INFO: DSM 7.1 is supported for this installer and the installer will tuned for your DSM
[2022-09-13 19:42:51] INFO: DSM 7.1 is using this path: /var/packages/CodecPack/target/pack/bin
[2022-09-13 19:42:51] INFO: DSM 7.1 is using this injector: 1-12.3.5
[2022-09-13 19:42:51] INFO: Backup the original ffmpeg41 as ffmpeg41.orig.
[2022-09-13 19:42:51] INFO: Creating the esqueleton of the ffmpeg41
[2022-09-13 19:42:51] INFO: Injection of the ffmpeg41 wrapper using this injector: 1-12.3.5.
[2022-09-13 19:42:51] INFO: Waiting for consolidate the download of the wrapper.
[2022-09-13 19:42:54] INFO: Fixing permissions of the ffmpeg41 wrapper.
[2022-09-13 19:42:54] INFO: Ensuring the existence of the new log file wrapper_ffmpeg and its access.
[2022-09-13 19:42:54] INFO: Installed correctly the wrapper41 in /var/packages/CodecPack/target/pack/bin
[2022-09-13 19:42:54] INFO: Backup the original libsynovte.so in VideoStation as libsynovte.so.orig.
[2022-09-13 19:42:54] INFO: Fixing permissions of /var/packages/VideoStation/target/lib/libsynovte.so.orig
[2022-09-13 19:42:54] INFO: Patching /var/packages/VideoStation/target/lib/libsynovte.so for compatibility with DTS, EAC3 and TrueHD
[2022-09-13 19:42:54] INFO: Modified correctly the file /var/packages/VideoStation/target/lib/libsynovte.so
[2022-09-13 19:42:54] INFO: Installed correctly the Advanced Wrapper in VideoStation.
[2022-09-13 19:42:54] INFO: Restarting CodecPack...
restart package [CodecPack] successfully
[2022-09-13 19:43:00] INFO: Restarting VideoStation...
restart package [VideoStation] successfully
[2022-09-13 19:43:08] INFO: ==================== Installation of the Advanced Wrapper: COMPLETE ====================

root@XXXXXX:~#bash -c "$(curl "https://raw.githubusercontent.com/darknebular/Wrapper_VideoStation/main/installer.sh")" -- -s uninstall
[2022-09-13 19:43:55] INFO: Actually You HAVEN'T ANY Wrapper Installed. The Uninstaller CAN'T do anything.

That was unexpected.... apparently something went wrong.
 
Last edited:
Hello my friend,

I would like to know if you have a correct license in AME loaded and the model exact that you have.

This message will be there if there isn't any wrapper installed. The checker is looking for this path:
/var/packages/Codec Pack/target/pack/bin/ffmpeg41.orig
If there isn't this file, the script thinks that there isn't any wrapper installed.


If there isn't the license of Advanced Media Extension, this path will not be generated.

I am assuming that after 50 seconds you tried to uninstall because doesn't work for you?

I suggest to you try to install again, and then review the logs in the log file entering this: cat /tmp/wrapper_ffmpeg.log

The license checker is looking for the file:
/usr/syno/etc/codec/activation.conf
In theory, if you haven't the AME license this file must not exist.
Could you send me the result of this command?
cat /usr/syno/etc/codec/activation.conf



Could you send me these info after install?


Best regards.
 
For avoid this type of problem, I did some Improvements in the AME'S License checker in the new release: SCPT_2.3
 
Last edited:
FFMPEG WRAPPER INSTALLER version: SCPT_2.2
You have ALL necessary packages Installed, GOOD.
[2022-09-13 19:42:51] INFO: ==================== Installation of the Advanced Wrapper: START ====================

[2022-09-13 19:42:51] INFO: You are running DSM 7.1
[2022-09-13 19:42:51] INFO: DSM 7.1 is supported for this installer and the installer will tuned for your DSM
[2022-09-13 19:42:51] INFO: DSM 7.1 is using this path: /var/packages/CodecPack/target/pack/bin
[2022-09-13 19:42:51] INFO: DSM 7.1 is using this injector: 1-12.3.5
[2022-09-13 19:42:51] INFO: Backup the original ffmpeg41 as ffmpeg41.orig.
[2022-09-13 19:42:51] INFO: Creating the esqueleton of the ffmpeg41
[2022-09-13 19:42:51] INFO: Injection of the ffmpeg41 wrapper using this injector: 1-12.3.5.
[2022-09-13 19:42:51] INFO: Waiting for consolidate the download of the wrapper.
[2022-09-13 19:42:54] INFO: Fixing permissions of the ffmpeg41 wrapper.
[2022-09-13 19:42:54] INFO: Ensuring the existence of the new log file wrapper_ffmpeg and its access.
[2022-09-13 19:42:54] INFO: Installed correctly the wrapper41 in /var/packages/CodecPack/target/pack/bin
[2022-09-13 19:42:54] INFO: Backup the original libsynovte.so in VideoStation as libsynovte.so.orig.
[2022-09-13 19:42:54] INFO: Fixing permissions of /var/packages/VideoStation/target/lib/libsynovte.so.orig
[2022-09-13 19:42:54] INFO: Patching /var/packages/VideoStation/target/lib/libsynovte.so for compatibility with DTS, EAC3 and TrueHD
[2022-09-13 19:42:54] INFO: Modified correctly the file /var/packages/VideoStation/target/lib/libsynovte.so
[2022-09-13 19:42:54] INFO: Installed correctly the Advanced Wrapper in VideoStation.
[2022-09-13 19:42:54] INFO: Restarting CodecPack...
restart package [CodecPack] successfully
[2022-09-13 19:43:00] INFO: Restarting VideoStation...
restart package [VideoStation] successfully
[2022-09-13 19:43:08] INFO: ==================== Installation of the Advanced Wrapper: COMPLETE ====================

root@XXXXXX:~#bash -c "$(curl "https://raw.githubusercontent.com/darknebular/Wrapper_VideoStation/main/installer.sh")" -- -s uninstall
[2022-09-13 19:43:55] INFO: Actually You HAVEN'T ANY Wrapper Installed. The Uninstaller CAN'T do anything.

That was unexpected.... apparently something went wrong.
The license checker failed to check your license, and the installer was thinking that It was patching all fine. Don't worry, no CodecPack's binary was changed.

Please install the license and try again.

if you are not going to have a valid AME's License, there are others installers that are installing the wrapper in the /bin path of VideoStation, having a valid license and patching this path will be a problem in a future, but in your case will work.

I must advice you that using other wrapper or installer, you will lost 5.1 support when It´s necessary doing transcoding, configuration features and not will have a unique wrapper for all packages like MediaServer, etc.

If you are planning to have a valid license, please load it and try again with my installer.

best regards.
 

Create an account or login to comment

You must be a member in order to leave a comment

Create account

Create an account on our community. It's easy!

Log in

Already have an account? Log in here.

Similar threads

Video Station is half baked - and that is saying it nicely. You will be better off with a more robust 3rd...
Replies
1
Views
724
I have several file with .mp4 extension with resolution 352x288 using codec video mpeg4 and codec audio...
Replies
0
Views
697
it´s easy. Build a new directory and put all episodes inside. Name every episode in the following form...
Replies
8
Views
1,259
DS video is the mobile app that accesses Video Station on the NAS. On the NAS there is the default /video...
Replies
1
Views
648
  • Question
Unfortunately, DS Video app on TVs are having a little bit different behaviour, this guy explains...
Replies
15
Views
3,070

Welcome to SynoForum.com!

SynoForum.com is an unofficial Synology forum for NAS owners and enthusiasts.

Registration is free, easy and fast!

Trending threads

Back
Top